# CCameraImage Class Reference

List of all members.

## Public Member Functions
void | adjustProjMat ()
void | bgSubtract ()
| CCameraImage ()
void | createDistortionLUT ()
opentl::core::cvdata::Image * | GetGrayImage ()
void | projection (float xyzh[4], float uvs[3], unsigned char *rgb=NULL)
void | setIntrinsic (float params[])
| ~CCameraImage ()
## Public Attributes
double | m_alpha_c
opentl::core::cvdata::Image * | m_binaryMaskImage
double | m_Cx
double | m_Cy
int | m_frameID
double | m_fx
double | m_fy
float | m_glProjMat [16]
opentl::core::cvdata::Image * | m_grayCopy [2]
opentl::core::cvdata::Image * | m_img
double | m_k1
double | m_k2
double | m_k3
double | m_k4
float * | m_LUTX
float * | m_LUTY
opentl::core::cvdata::Image * | m_maskImage
int | m_myID
int | m_origRes [2]
float | m_projectionMat [16]
float | m_scale [2]
unsigned int | m_texID

## Constructor & Destructor Documentation

CCameraImage::CCameraImage | ( |  | ) |

CCameraImage::~CCameraImage | ( |  | ) |

## Member Function Documentation

void CCameraImage::adjustProjMat | ( |  | ) |

void CCameraImage::bgSubtract | ( |  | ) |

void CCameraImage::createDistortionLUT | ( |  | ) |

opentl::core::cvdata::Image* CCameraImage::GetGrayImage | ( |  | ) |

void CCameraImage::projection | ( | float | xyzh[4],
|  | float | uvs[3],
|  | unsigned char * | rgb = `NULL` |
| ) |  |  |

void CCameraImage::setIntrinsic | ( | float | params[] | ) |

## Member Data Documentation

double CCameraImage::m_alpha_c

opentl::core::cvdata::Image* CCameraImage::m_binaryMaskImage

double CCameraImage::m_Cx

double CCameraImage::m_Cy

int CCameraImage::m_frameID

double CCameraImage::m_fx

double CCameraImage::m_fy

float CCameraImage::m_glProjMat[16]

opentl::core::cvdata::Image* CCameraImage::m_grayCopy[2]

opentl::core::cvdata::Image* CCameraImage::m_img

double CCameraImage::m_k1

double CCameraImage::m_k2

double CCameraImage::m_k3

double CCameraImage::m_k4

float* CCameraImage::m_LUTX

float* CCameraImage::m_LUTY

opentl::core::cvdata::Image* CCameraImage::m_maskImage

int CCameraImage::m_myID

int CCameraImage::m_origRes[2]

float CCameraImage::m_projectionMat[16]

float CCameraImage::m_scale[2]

unsigned int CCameraImage::m_texID